Moodle - Tutorial de Instalação

De Pontão Nós Digitais
Pencil icon 400x400.png Esse artigo é um tutorial. Esteja atento para a versão do software utilizado e as variáveis de ambiente na hora de replicá-lo.
 Essas orientações foram escritas para moodle 2.7. 
 Se você está usando outra versão TALVEZ os caminhos sejam diferentes. 
 Faça um teste antes. 

0. Requisitos para instalação do moodle 2.7 stable:

  • PHP 5.4.4;
  • MariaDB 5.5.31 or MySQL 5.5.31 or Postgres 9.1 or MSSQL 2008 or Oracle 10.2.

1. Baixe o Moodle em: http://download.moodle.org. Você pode baixar o .tgz e descompactá-lo numa pasta pública do servidor local ou remoto. É interessante que você esteja usando um servidor linux para isso;

2. Siga os passos descritos aqui em comandline: http://docs.moodle.org/27/en/Installing_Moodle


Referências: